pushall script
authorDaniel Liu <mr.picklepinosaur@gmail.com>
Wed, 13 Jan 2021 01:50:55 +0000 (20:50 -0500)
committerDaniel Liu <mr.picklepinosaur@gmail.com>
Wed, 13 Jan 2021 01:50:55 +0000 (20:50 -0500)
.bashrc
.config/lf/lfrc
Scripts/git-pushall [new file with mode: 0755]
Scripts/ufetch-arch
Scripts/ufetch-gentoo [new file with mode: 0755]

diff --git a/.bashrc b/.bashrc
index 0959a0c..4852bc2 100644 (file)
--- a/.bashrc
+++ b/.bashrc
@@ -39,6 +39,7 @@ alias suckless-clean='make clean && rm -rf config.h && git reset --hard home/mas
 alias musicdl="youtube-dl -f bestaudio"
 alias mpv="mpv --no-input-default-bindings"
 alias slock='slock -m "$(figlet locked xd | cowsay -f cheese -n)"'
+alias darkmpv='mpv --vf=sub,lavfi="negate"'
 
 source fzfutil
 
index b94dd69..69a5941 100644 (file)
@@ -3,7 +3,6 @@
 map d
 
 
-
 set icons true
 set hidden true
 map . set hidden!
@@ -22,15 +21,25 @@ map dd delete
 
 # =-=-=-=-= custom 'go to' commands
 
+# downloads
+map gd. cd ~/Downloads
+map gdw cd ~/Downloads/wallpapers
+map gds cd ~/Downloads/screenshots
+
 # school
-map gd cd ~/Downloads
 map gS cd ~/Scripts
 map gs. cd ~/School
-map gsc cd ~/School/cs145
-map gsm5 cd ~/School/math135
-map gsm7 cd ~/School/math137
-map gsp cd ~/School/phys121
-map gss cd ~/School/spcom223
+# map gsc cd ~/School/cs145
+# map gsm5 cd ~/School/math135
+# map gsm7 cd ~/School/math137
+# map gsp cd ~/School/phys121
+# map gss cd ~/School/spcom223
+
+map gsc cd ~/School/cs146
+map gsm6 cd ~/School/math136
+map gsm8 cd ~/School/math138
+map gsp cd ~/School/phys175
+map gse cd ~/School/econ101
 
 # config
 map gc. cd ~/.config
diff --git a/Scripts/git-pushall b/Scripts/git-pushall
new file mode 100755 (executable)
index 0000000..9fd1967
--- /dev/null
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# reads the config file and pushes to all the remotes
+
+config_path="$(git rev-parse --show-toplevel)/.git/config" 2>/dev/null
+
+[ ! "$?" = 0 ] && echo "Failed: not a git repo." && exit 1
+[ -z "$1" ] && echo "Failed: Please supply a branch to push to." && exit 1
+
+# look for all remotes
+cat "$config_path" | sed '/^\[remote "/!d; s/^\[remote "//; s/"]$//' |\
+    xargs -I _ git push _ "$1"
index f404b87..6882763 100755 (executable)
@@ -5,7 +5,7 @@
 ## INFO
 
 # user is already defined
-hostname="$(cat /etc/hostname)"
+hostname="$(hostname)"
 os='Arch Linux'
 host="$(cat /sys/devices/virtual/dmi/id/product_name) $(cat /sys/devices/virtual/dmi/id/product_family)"
 kernel="$(uname -sr)"
@@ -72,17 +72,27 @@ c0="${reset}${cyan}"                # first color
 
 ## OUTPUT
 
+# ${c0}        /\\         ${nc}${USER}${ic}@${nc}${hostname}${reset}
+# ${c0}       /  \\        ${lc}OS:        ${ic}${os}${reset}
+# ${c0}      /\\   \\       ${lc}KERNEL:    ${ic}${kernel}${reset}
+# ${c0}     /  __  \\      ${lc}HOST:      ${ic}${host}${reset}      
+# ${c0}    /  (  )  \\     ${lc}UPTIME:    ${ic}${uptime}${reset}
+# ${c0}   / __|  |__\\\\    ${lc}PACKAGES:  ${ic}${packages}${reset}
+# ${c0}  /.\`        \`.\\   ${lc}SHELL:     ${ic}${shell}${reset}
+#                    ${lc}${uitype}:        ${ic}${ui}${reset}
+#   ${bold}${red}██${green}██${yellow}██${blue}██${magenta}██${cyan}██${white}██${reset}   ${lc}TERM:      ${ic}${term}${reset}
+
+  # ${bold}${red}██${green}██${yellow}██${blue}██${magenta}██${cyan}██${white}██${reset}                 
 
 cat <<EOF
 
-${c0}        /\\         ${nc}${USER}${ic}@${nc}${hostname}${reset}
-${c0}       /  \\        ${lc}OS:        ${ic}${os}${reset}
-${c0}      /\\   \\       ${lc}KERNEL:    ${ic}${kernel}${reset}
-${c0}     /  __  \\      ${lc}HOST:      ${ic}${host}${reset}      
-${c0}    /  (  )  \\     ${lc}UPTIME:    ${ic}${uptime}${reset}
-${c0}   / __|  |__\\\\    ${lc}PACKAGES:  ${ic}${packages}${reset}
-${c0}  /.\`        \`.\\   ${lc}SHELL:     ${ic}${shell}${reset}
-                   ${lc}${uitype}:        ${ic}${ui}${reset}
-  ${bold}${red}██${green}██${yellow}██${blue}██${magenta}██${cyan}██${white}██${reset}   ${lc}TERM:      ${ic}${term}${reset}
+${c0}         .         ${nc}${USER}${ic}@${nc}${hostname}${reset}
+${c0}        / \\        ${lc}OS:        ${ic}${os}${reset}
+${c0}       /   \\       ${lc}KERNEL:    ${ic}${kernel}${reset}   
+${c0}      /^.   \\      ${lc}HOST:      ${ic}${host}${reset}  
+${c0}     /  .-.  \\     ${lc}UPTIME:    ${ic}${uptime}${reset}  
+${c0}    /  (   ) _\\    ${lc}PACKAGES:  ${ic}${packages}${reset}  
+${c0}   / _.~   ~._^\\   ${lc}${uitype}:        ${ic}${ui}${reset}
+${c0}  /.^         ^.\\  ${lc}TERM:      ${ic}${term}${reset}
 
 EOF
diff --git a/Scripts/ufetch-gentoo b/Scripts/ufetch-gentoo
new file mode 100755 (executable)
index 0000000..0825eb4
--- /dev/null
@@ -0,0 +1,87 @@
+#!/bin/sh
+#
+# ufetch-gentoo - tiny system info for gentoo
+
+## INFO
+
+# user is already defined
+hostname="$(hostname)"
+os='Gentoo Linux'
+host="$(cat /sys/devices/virtual/dmi/id/product_name) $(cat /sys/devices/virtual/dmi/id/product_family)"
+kernel="$(uname -sr)"
+uptime="$(uptime -p | sed 's/up //')"
+packages="$(ls -d /var/db/pkg/*/* | wc -l)"
+shell="$(basename "${SHELL}")"
+term="$TERM"
+
+## UI DETECTION
+
+parse_rcs() {
+       for f in "${@}"; do
+               wm="$(tail -n 1 "${f}" 2> /dev/null | cut -d ' ' -f 2)"
+               [ -n "${wm}" ] && echo "${wm}" && return
+       done
+}
+
+rcwm="$(parse_rcs "${HOME}/.xinitrc" "${HOME}/.xsession")"
+
+ui='unknown'
+uitype='UI'
+if [ -n "${DE}" ]; then
+       ui="${DE}"
+       uitype='DE'
+elif [ -n "${WM}" ]; then
+       ui="${WM}"
+       uitype='WM'
+elif [ -n "${XDG_CURRENT_DESKTOP}" ]; then
+       ui="${XDG_CURRENT_DESKTOP}"
+       uitype='DE'
+elif [ -n "${DESKTOP_SESSION}" ]; then
+       ui="${DESKTOP_SESSION}"
+       uitype='DE'
+elif [ -n "${rcwm}" ]; then
+       ui="${rcwm}"
+       uitype='WM'
+elif [ -n "${XDG_SESSION_TYPE}" ]; then
+       ui="${XDG_SESSION_TYPE}"
+fi
+
+ui="$(basename "${ui}")"
+
+## DEFINE COLORS
+
+# probably don't change these
+if [ -x "$(command -v tput)" ]; then
+       bold="$(tput bold)"
+       black="$(tput setaf 0)"
+       red="$(tput setaf 1)"
+       green="$(tput setaf 2)"
+       yellow="$(tput setaf 3)"
+       blue="$(tput setaf 4)"
+       magenta="$(tput setaf 5)"
+       cyan="$(tput setaf 6)"
+       white="$(tput setaf 7)"
+       reset="$(tput sgr0)"
+fi
+
+# you can change these
+lc="${reset}${bold}${magenta}"      # labels
+nc="${reset}${bold}${white}"      # user and hostname
+ic="${reset}"                       # info
+c0="${reset}${bold}${magenta}"      # first color
+c1="${reset}${magenta}"             # second color
+
+## OUTPUT
+
+cat <<EOF
+
+                 ${nc}${USER}${ic}@${nc}${hostname}${reset}
+${c0}    .-----.      ${lc}OS:        ${ic}${os}${reset}
+${c0}  .\`    _  \`.    ${lc}KERNEL:    ${ic}${kernel}${reset}
+${c0}  \`.   (${c1}_)   ${c0}\`.  ${lc}HOST:      ${ic}${host}${reset}  
+${c0}    \`${c1}.        /  ${lc}UPTIME:    ${ic}${uptime}${reset}
+${c1}   .\`       .\`   ${lc}PACKAGES:  ${ic}${packages}${reset}
+${c1}  /       .\`     ${lc}${uitype}:        ${ic}${ui}${reset}
+${c1}  \____.-\`       ${lc}TERM:      ${ic}${term}${reset}
+
+EOF